.TH XFILTER l "27 January 1992"
.SH NAME
xfilter \- X Window System File/Data Filter Application
.SH SYNOPSIS
.B xfilter [\-help]
.SH DESCRIPTION
.LP
.I xfilter
provides a Motif-based, X front-end to UNIX filter commands such
as spell(1), tr(1), etc.
.I xfilter
applies a UNIX filter, as specified in the text
entry area labeled "Filter:", (with or without options)
to common X data storage locations.  It uses the specified
input and output devices/locations as analogs to standard
input and standard output files in a command line execution
of the filter.  If no filter is specified, pressing the
"Filter" button simply copies the input to the output.
For example, setting "Input:" to "Primary selection",
"Output:" to "Text window", and "Filter:" to "spell", will
apply spell(1) to the selected text, reporting questionable
word spellings in the scrollable text window.
.LP
.I xfilter
performs all of its data manipulation operations in memory;
therefore, using
.I xfilter
as a X-based replacement for the cp(1) command is a bad idea.
See the help system for more information.
.SH AUTHOR
.PP
Jerry Smith, Iris Computing Laboratories
.PP
Copyright 1992, Iris Computing Laboratories
