#### xfilter.make ####

# The C compiler:
CC = cc

# EDITRES compiler flag (in `xfilter.c' to include `editres' support -- X11R5/6
# only.  If you enable this flag, you'll probably need to link in the X
# miscellaneous-utilities library; see "Generic Xmu library flags" below):
X_FLAGS = 
#X_FLAGS = -DEDITRES

# REQD_CFLAGS -- required compiler flags:
REQD_CFLAGS = -D_NO_PROTO

# Whether or not the application physically restricts the action
# area paned windows, e.g., in dialogs, the help window, etc. in
# lieu of using `XmNskipAdjust'.  Enabling this code causes start-up
# resize problems with Motif 2.0:
#EXTRA_CFLAGS = -DRESTRICT_ACTION_AREA
# Enable the fallback resources (this will cause core dumps on some
# platforms):
EXTRA_CFLAGS = -DFALLBACK_RES

# INCLUDES -- extra compiler flags:
INCLUDES = -I/usr/include/Xm
# HP includes:
#INCLUDES = -I/usr/include/Motif1.2 -I/usr/include/X11R5

# Sample generic compiler flags:
CFLAGS = $(INCLUDES) $(REQD_CFLAGS) $(EXTRA_CFLAGS)
# Sample HP compiler flags:
#CFLAGS = $(INCLUDES) $(REQD_CFLAGS) $(EXTRA_CFLAGS)
# Sample SGI compiler flags:
#CFLAGS = $(INCLUDES) $(REQD_CFLAGS) $(EXTRA_CFLAGS)

# Generic loader flags:
LDFLAGS = 
# Sample HP loader flags:
#LDFLAGS = -L/usr/lib/Motif1.2 -L/usr/lib/X11R5
# Sample Linux loader flags:
#LDFLAGS = -L/usr/X11R6/lib

# Generic Xt library flags:
XTLIB = -lXt
# If it's not `Xt', name your Xt library, e.g.,:
#XTLIB = -lXtm

# Generic Xmu library flags:
XMULIB = 
# If you need 'Xmu', uncomment this line:
#XMULIB = -lXmu

# Generic Xpm library flags for Linux:
XPMLIB = 
# If you need 'Xpm', uncomment this line:
#XPMLIB = -lXpm

# If you need other libraries, name them:
OTHERLIBS = 
# Sample DG, SGI other libraries:
#OTHERLIBS = -lPW

# HP static loader flags:
#STATIC = -Wl,-a,archive
# Sun static loader flags:
#STATIC = -Bstatic
# gcc static loader flags:
#STATIC = -static


xfilter:		xfilter.o xfilter.sel.o help.o motif.o
				$(CC) $(LDFLAGS) -o xfilter xfilter.o xfilter.sel.o \
				help.o motif.o -lXm $(XPMLIB) $(XMULIB) $(XTLIB) \
				-lX11 $(OTHERLIBS)

xfilter.static:	xfilter.o xfilter.sel.o help.o motif.o
				$(CC) $(STATIC) $(LDFLAGS) -o xfilter xfilter.o \
				xfilter.sel.o help.o motif.o -lXm $(XPMLIB) $(XMULIB) \
				$(XTLIB) -lX11 $(OTHERLIBS)

